> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List Feature Libraries

GET https://{tenant_name}.benchling.com/api/v2/feature-libraries

List Feature Libraries

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/feature-libraries/list-feature-libraries

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order search results. Valid sorts are modifiedAt (modified time, most recent first) and name (entity name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`, `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`, `name`, `name:asc`, `name:desc`
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `name` (string, optional) — Name of a Feature Library. Restricts results to those with the specified name.
- `nameIncludes` (string, optional) — Name substring of a Feature Library. Restricts results to those with names that include the provided substring.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `names.anyOf` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names.
- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).

## Response

### 200

OK

- `nextToken` (string, optional)
- `featureLibraries` (list of FeatureLibrary, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### FeatureLibrary

A feature library

- `description` (string, optional) — The description for the feature library
- `name` (string, optional) — The name of the feature library
- `createdAt` (datetime, optional) — DateTime the Feature Library was created
- `id` (string, optional) — The id of the feature library
- `modifiedAt` (datetime, optional) — DateTime the Feature Library was last modified
- `owner` (FeatureLibraryOwner, optional)
- `webURL` (string, optional) — The Benchling web UI url to view the Feature Library

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### FeatureLibraryOwner

### Organization

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "nextToken": "string",
  "featureLibraries": [
    {
      "description": "string",
      "name": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "id": "featlib_6ZVdX98t",
      "modifiedAt": "2024-01-15T09:30:00Z",
      "owner": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "webURL": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/feature-libraries"

querystring = {"modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/feature-libraries?modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```